Page MenuHomePhabricator

Create test setup for Japanese, Chinese and Thai
Closed, ResolvedPublic5 Story Points

Description

Motivation
Per extension manual wikidiff2 behaves differently for Japanese, Chinese and Thai ,since they do not use spaces to separate words. Therefore wikidiff2 does character level diffs instead of wordlevel diffs. We want to make sure that the moved paragraph detection also works in this case

Task
Automatically compare 300+ random articles for each of the languages. As a next step people will look over all cases where the output differs.

Event Timeline

Tobi_WMDE_SW triaged this task as Normal priority.

@jkroll can you link to the pages with the test cases here?

Tobi_WMDE_SW changed the point value for this task from 8 to 5.Jun 19 2018, 12:37 PM
Tobi_WMDE_SW moved this task from Sprint Backlog to Demo on the WMDE-QWERTY-Sprint-2018-06-05 board.

taking this out of demo, since there is nothing to demo yet

jkroll moved this task from Done to Demo on the WMDE-QWERTY-Sprint-2018-06-05 board.

@jkroll @Tobi_WMDE_SW thanks!

Anybody who speaks japanese, thai or unified han (@Shizhao?) , your support in finding bugs is very much appreciated!
This is what would need to be done:

  • Go to the output page of the language you speak (ja, zh, th)
  • On rows where "changed" = true:
  • Click on the link "new", and let us know if the diff you see there is completely wrong

Thank you! :)

Vvjjkkii renamed this task from Create test setup for japanese, unified han and thai to noaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed subscribers: Aklapper, gerritbot.
NicoScribe renamed this task from noaaaaaaaa to Create test setup for japanese, unified han and thai.Jul 1 2018, 12:31 PM
NicoScribe lowered the priority of this task from High to Normal.
NicoScribe updated the task description. (Show Details)
NicoScribe added subscribers: Aklapper, gerritbot.
Ankry set the point value for this task to 5.Jul 2 2018, 10:07 AM
Lea_WMDE closed this task as Resolved.Jul 3 2018, 12:24 PM
Lea_WMDE claimed this task.
Shizhao moved this task from Backlog to Closed on the Chinese-Sites board.Jul 4 2018, 3:42 AM
MichaelSchoenitzer_WMDE renamed this task from Create test setup for japanese, unified han and thai to Create test setup for Japanese, Chinese and Thai.Aug 20 2018, 2:04 PM